package models

import (
	// "gorm.io/gorm"

	"go-admin/common/models"
)

type OrgTeamDept struct {
	models.Model

	TeamId int `json:"teamId" gorm:"type:bigint(20);comment:TeamId"`
	DeptId int `json:"deptId" gorm:"type:bigint(20);comment:DeptId"`
	models.ModelTime
	models.ControlBy
}

func (OrgTeamDept) TableName() string {
	return "org_team_dept"
}

func (e *OrgTeamDept) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *OrgTeamDept) GetId() interface{} {
	return e.Id
}
